#version 330

layout(location = 0) in vec2 i_pos;
layout(location = 1) in vec2 i_uv;

uniform mat4 camera;
uniform float scale;

smooth out vec2 v_uv;

void main()
{
  gl_Position = camera * vec4(i_pos + scale * i_uv, 0.0, 1.0);
  v_uv = i_uv;
}
